fpc_com_packet_link Struct Reference

`#include <fpc_com_packets.h>`

## Data Fields

fpc_com_channel_t | channel
uint16_t | size
uint8_t * | data
uint32_t | crc

## Detailed Description

Link layer packet

Definition at line 61 of file fpc_com_packets.h.

## Field Documentation

fpc_com_channel_t fpc_com_packet_link::channel

Communication channel

Definition at line 63 of file fpc_com_packets.h.

uint32_t fpc_com_packet_link::crc

CRC of data

Definition at line 69 of file fpc_com_packets.h.

uint8_t* fpc_com_packet_link::data

Packet data

Definition at line 67 of file fpc_com_packets.h.

uint16_t fpc_com_packet_link::size

Size of packet

Definition at line 65 of file fpc_com_packets.h.

The documentation for this struct was generated from the following file:

- inc/fpc_com_packets.h